DataBindingListener (Grails 5.2.5)

Package: grails.databinding.events

## [Java] Interface DataBindingListener

-     public interface DataBindingListener

  A listener which will be notified of events generated during data binding.

  Authors:
    Jeff Brown
  Since:
    3.0
  See Also:
    DataBindingListenerAdapter

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public void` | `afterBinding(java.lang.Object target, java.lang.String propertyName, java.lang.Object errors)` Called after data binding has been imposed on a property
    `` | `public void` | `afterBinding(java.lang.Object target, java.lang.Object errors)` Called after data binding has finished.
    `` | `public java.lang.Boolean` | `beforeBinding(java.lang.Object target, java.lang.Object errors)` Called when data binding is about to start.
    `` | `public java.lang.Boolean` | `beforeBinding(java.lang.Object target, java.lang.String propertyName, java.lang.Object value, java.lang.Object errors)` Called when data binding is about to imposed on a property
    `` | `public void` | `bindingError(BindingError error, java.lang.Object errors)` Called when an error occurs binding to a property
    `` | `public boolean` | `supports(java.lang.Class<?> clazz)` Returns: true if the listener is interested in events for the specified type.

- - ### Method Detail

    - #### public void afterBinding(java.lang.Object target, java.lang.String propertyName, java.lang.Object errors)

      Called after data binding has been imposed on a property

      Parameters:
        `target` - The object data binding is being imposed upon
        `propertyName` - The name of the property that was bound to
        `errors` - the Spring Errors instance (a org.springframework.validation.BindingResult)

    - #### public void afterBinding(java.lang.Object target, java.lang.Object errors)

      Called after data binding has finished.

      Parameters:
        `target` - The object data binding is being imposed upon
        `errors` - the Spring Errors instance (a org.springframework.validation.BindingResult)

    - #### public java.lang.Boolean beforeBinding(java.lang.Object target, java.lang.Object errors)

      Called when data binding is about to start.

      Parameters:
        `target` - The object data binding is being imposed upon
        `errors` - the Spring Errors instance (a org.springframework.validation.BindingResult)
      Returns:
        true if data binding should continue

    - #### public java.lang.Boolean beforeBinding(java.lang.Object target, java.lang.String propertyName, java.lang.Object value, java.lang.Object errors)

      Called when data binding is about to imposed on a property

      Parameters:
        `target` - The object data binding is being imposed upon
        `propertyName` - The name of the property being bound to
        `value` - The value of the property being bound
        `errors` - the Spring Errors instance (a org.springframework.validation.BindingResult)
      Returns:
        true if data binding should continue, otherwise return false

    - #### public void bindingError(BindingError error, java.lang.Object errors)

      Called when an error occurs binding to a property

      Parameters:
        `error` - encapsulates information about the binding error
        `errors` - the Spring Errors instance (a org.springframework.validation.BindingResult)
      See Also:
        BindingError

    - #### public boolean supports(java.lang.Class<?> clazz)

      Returns:
        true if the listener is interested in events for the specified type.